Skip to main content
GET
Every report of an asset going missing, open or closed: when and where it was last seen, what happened, and how it…

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
asset_id
string
asset_number
string
asset_name
string
site_id
string
site_name
string
state
string
outcome
string
state_model_id
string
previous_state_code
string
previous_status_label
string
reported_at
string
reported_by_user_id
string
reported_by
string
last_seen_on
string
last_seen_location_id
string
last_seen_location_name
string
circumstances
string
external_reference
string
parent_report_id
string
workflow_instance_id
string
verification_line_id
string
found_on
string
found_location_id
string
found_location_name
string
found_by_name
string
found_state_code
string
closing_as
string
closed_at
string
closed_by_user_id
string
closed_by
string
outcome_notes
string
days_missing
string
written_off
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_name
string<character varying>
Maximum string length: 250
asset_number
string<character varying>
Maximum string length: 80
circumstances
string<text>
closed_at
string<timestamp with time zone>
closed_by
string<character varying>
Maximum string length: 200
closed_by_user_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

closing_as
string<character varying>
Maximum string length: 20
days_missing
integer<integer>
external_reference
string<character varying>
Maximum string length: 120
found_by_name
string<character varying>
Maximum string length: 200
found_location_id
string<uuid>

Note: This is a Foreign Key to location_settings.id.

found_location_name
string<character varying>
Maximum string length: 200
found_on
string<date>
found_state_code
string<character varying>
Maximum string length: 60
id
string<uuid>

Note: This is a Primary Key.

last_seen_location_id
string<uuid>

Note: This is a Foreign Key to location_settings.id.

last_seen_location_name
string<character varying>
Maximum string length: 200
last_seen_on
string<date>
outcome
string<character varying>
outcome_notes
string<text>
parent_report_id
string<uuid>

Note: This is a Foreign Key to asset_loss_reports.id.

previous_state_code
string<character varying>
Maximum string length: 60
previous_status_label
string<character varying>
Maximum string length: 150
reported_at
string<timestamp with time zone>
reported_by
string<character varying>
Maximum string length: 200
reported_by_user_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

site_name
string<character varying>
Maximum string length: 200
state
string<character varying>
Maximum string length: 20
state_model_id
string<uuid>

Note: This is a Foreign Key to state_models.id.

verification_line_id
string<uuid>

Note: This is a Foreign Key to verification_lines.id.

workflow_instance_id
string<uuid>

Note: This is a Foreign Key to budget_amendments.awaiting_instance_id.

written_off
number<numeric>